var
t,m,v,l,j,y,lm,sum:longint;
begin
assign(input,'transport.in'); reset(input);
readln(t);
for y:=1 to t do begin
readln(m,v,l);
sum:=0;
for j:=1 to m do begin
read(lm,t); if (lm>-1) and (lm<=l) then
sum:=t+sum;
end;
writeln(((l/v)*60+sum):0:2);
end;
end.